hunspell-eu (5.4.10-2) unstable; urgency=medium

  * debian/watch: Upgrade to version 5. Mark as untrackable.
  * debian/control:
    - Update Suggests field. Thanks Carles Pina i Estany
      (Closes: #1118109).
    - Bump Standards-Version to 4.7.2. No changes required.
  * debian/hunspell-eu.lintian-overrides: Update.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 15 Oct 2025 11:34:53 +0200

hunspell-eu (5.4.10-1) unstable; urgency=medium

  * New upstream release.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 26 Jan 2024 11:39:06 +0100

hunspell-eu (5.1-4) unstable; urgency=medium

  * debian/rules: No need to remove temporary eu.bdic.bdic after
    installation. Last installdeb-myspell does it.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 16 Dec 2022 16:43:19 +0100

hunspell-eu (5.1-3) unstable; urgency=medium

  * Build and install hunspell dictionaries in .bdic format
    (Closes: #1020472).
  * Fix some lintian overrides.
  * debian/copyright: Bump Debian year to 2022.
  * debian/control: Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Dec 2022 20:47:22 +0100

hunspell-eu (5.1-2) unstable; urgency=medium

  * Add a couple of overrides.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 12 Nov 2021 16:29:28 +0100

hunspell-eu (5.1-1) unstable; urgency=medium

  * New upstream release. Thanks Dimitrij Mijoski (Closes: #991949).
  * New hunspell-only sources. Package renamed to hunspell-eu and split
    from old xuxen3 dict, still used to generate aspell dict.
  * Add debian/watch for new upstream location.
  * No longer build aspell dict package from these sources.
  * Use debhelper dh sequencer.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump debhelper-compat to 13.
    - Bump Standards-Version to 4.5.1.
  * debian/copyright: Adapt to new upstream license.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Aug 2021 20:10:11 +0200

xuxen-eu-spell (0.5.20151110-6) unstable; urgency=low

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 18:26:23 +0100

xuxen-eu-spell (0.5.20151110-5) unstable; urgency=medium

  * Drop aspell-eu-es and hunspell-eu-es transitional packages.
    (Closes: #940790,#940791).
  * Bump Standards-Version. No changes required.
  * Bump debhelper compat version to 12.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Sep 2019 11:06:52 +0200

xuxen-eu-spell (0.5.20151110-4) unstable; urgency=medium

  * debian/control:
    - Mark aspell-eu-es as Multi-Arch: foreign.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Nov 2018 17:28:40 +0100

xuxen-eu-spell (0.5.20151110-3) unstable; urgency=medium

  * debian/control:
    - Update Vcs-* headers for salsa migration.
    - Bump Standards-Version. No changes required.
    - Remove all instances of Priority: extra to get default
      Priority: optional.
  * Bump debhelper compat version to 11.
  * debian/rules: Remove useless CFLAGS stuff.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 05 Apr 2018 18:43:47 +0200

xuxen-eu-spell (0.5.20151110-2) unstable; urgency=medium

  * 1000_Make-encodings-consistent.patch: Temporarily set encoding back to
    ISO-8859-1 in hunspell/eu-ES.aff. Upstream hunspell/eu-ES.dic is
    indeed ISO-8859-1 encoded (Closes: #828763).
  * debian/copyright: Make DEP-5.
  * Change debhelper compat version to 9.
  * debian/README.source: New file to explain how we make orig tarball.
  * debian/control:
    - Bump Standards-Version. No changes required.
    - Upgrade Homepage to http://xuxen.eus.
    - Use encrypted transport protocols for Vcs-* URIs.
    - Improve description of hunspell-eu-es and aspell-eu-es transitional
      packages.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 Jun 2016 12:24:22 +0200

xuxen-eu-spell (0.5.20151110-1) unstable; urgency=medium

  * New upstream release (Closes: #807938).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 16 Dec 2015 16:18:04 +0100

xuxen-eu-spell (0.4.20081029-12) unstable; urgency=medium

  * Extend package to eu_FR (Closes: #801791).

  [ Sebastien Ducoulombier ]
  * Provides dictionaries for "eu" and "eu_FR" in addition to "eu_ES"
    ("eu" is required by LibreOffice)
  * Renamed *spell-eu-es to *spell-eu since they also apply to locale eu_FR

  [ Agustin Martin Domingo ]
  * Make old *spell-eu-es packages transitional dummy packages.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 15 Oct 2015 17:39:33 +0200

xuxen-eu-spell (0.4.20081029-11) unstable; urgency=medium

  * debian/rules: Build in a reproducible and known to work LC_ALL=C
    language environment.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 22 Jun 2015 13:02:45 +0200

xuxen-eu-spell (0.4.20081029-10) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #777352).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:57:38 +0200

xuxen-eu-spell (0.4.20081029-9) unstable; urgency=low

  * debian/control:
    - Make aspell-eu-es "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 16:41:26 +0200

xuxen-eu-spell (0.4.20081029-8) unstable; urgency=low

  * Do not ship /var/lib/aspell dir nor related symlinks.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 11:37:45 +0200

xuxen-eu-spell (0.4.20081029-7) unstable; urgency=low

  * Modify to use dictionaries-common-dev (>= 1.22.0) features:
    - ${aspell:Depends}, ${hunspell:Depends}
    - Deal with remove files in debhelper snippet.
  * debian/control:
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-* headers.
    - Use Breaks instead of Conflicts for hunspell-eu-es.
  * Add debian/source/format for 3.0 (quilt).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 20:08:54 +0100

xuxen-eu-spell (0.4.20081029-6) unstable; urgency=low

  * Use auto-compat feature to avoid modification of placeholders
    shipped under /var by maintainer scripts. Needs to build
    depend on dictionaries-common-dev (>=1.11.2).
  * Improve hunspell-eu-es suggestions line and add libreoffice.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 16:04:42 +0200

xuxen-eu-spell (0.4.20081029-5) unstable; urgency=low

  * Build Depends on at least dictionaries-common-dev (>= 1.10.5)
    to stop installing update-openoffice-dicts snippets.
  * Bump Standards-Version. No changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 07 Jun 2011 16:43:25 +0200

xuxen-eu-spell (0.4.20081029-4) unstable; urgency=low

  * Make sure we no longer create Mozilla* symlinks in new destdir
    by using installdeb-myspell (> 1.4).
  * Trust new installdeb-myspell to handle hunspell hyphen origin files.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 25 Nov 2009 13:19:47 +0100

xuxen-eu-spell (0.4.20081029-3) unstable; urgency=low

  * Bump Standards Version to 3.8.3. No changes required.
  * Install myspell dicts in new location. Use new
    installdeb-myspell (at least 1.3.1) for this and for
    compatibility symlinks.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 25 Aug 2009 17:17:01 +0200

xuxen-eu-spell (0.4.20081029-2) unstable; urgency=low

  * debian/*.info-*spell:
    - Do not explicitly add '-d <lang>' to ispell-args. New
      dictionaries-common will take care of that.
  * debian/control:
    - Build Dep on at least dictionaries-common-dev 1.2 to use
      new debhelper snippets.
  * Raise debhelper compat level to 7. Use dh_prep. Rearrange
    install target.
  * Raise Standards-Version to 3.8.1. No changes required.
  * Install using low bar locale instead of mozilla dash locale.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Mar 2009 01:37:48 +0100

xuxen-eu-spell (0.4.20081029-1) unstable; urgency=low

  * New Upstream Version
  * Warn about aspell-eu-es being the same as for version 3.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Feb 2009 17:04:28 +0100

xuxen-eu-spell (0.3.20070215b-6) unstable; urgency=low

  * No longer create myspell-eu-es. Everything in lenny
    already uses hunspell. Provide/Replace myspell-eu-es.
  * Use new dictionaries-common registration system for
    myspell/hunspell dictionaries under emacs.
  * Remove ancient openoffice.org-updatedicts or-dependency.
  * Add ${misc:Depends} where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 17 Feb 2009 13:04:49 +0100

xuxen-eu-spell (0.3.20070215b-5) unstable; urgency=low

  * debian/rules:
    - Use 'prezip -s' instead of explicit 'LC_COLLATE=C sort -u' for
      aspell dict.
    - Use best gzip compression.
  * debian/control: Make Ubuntu diff smaller by applying Ubuntu patch
    to version thunderbird entry in Conflicts (Was Ubuntu LP: #227711).
    Does not affect Debian.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 01 Oct 2008 14:27:44 +0200

xuxen-eu-spell (0.3.20070215b-4) unstable; urgency=medium

  * Make sure no md5sums are added for variable /var/lib/aspell stuff.
  * Make sure eu.rws is owned by aspell-eu-es and so removed on package
    clean.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 26 Sep 2008 11:16:26 +0200

xuxen-eu-spell (0.3.20070215b-3) unstable; urgency=low

  * debian/copyright: Improved with elements from xuxenedbl-en.txt

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Jun 2008 13:38:15 +0200

xuxen-eu-spell (0.3.20070215b-1) unstable; urgency=low

  * New Upstream Version.
  * License changed to GPLv2.
  * New sources name, xuxen-eu-spell. Will replace old non-free eu-es-myspell.
  * debian/control:
    - Move section from non-free/text to text
    - Change sources from eu-es-myspell to xuxen-eu-spell.
    - Add a Homepage field
    - Add Vcs-Browser and Vcs-Git fields.
    - Bump Standards-Version to 3.8.0.
  * debian/copyright:
    - Updated to the new GPLv2 license.
  * debian/rules:
    - Remove binary-arch stuff.
    - Temporarily disable 'katen-/q' in eu-ES.dic since it uses the
      non aplicable q flag, as well as plain katen-.
  * Also create hunspell-eu-es package.
  * First cut for an official aspell dict.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 19 May 2008 19:55:46 +0200

eu-es-myspell (0.0.20061006-1) unstable; urgency=low

  * Initial release (Closes: #404080)
  * Temporarily disabling dots and lowbars in aspell dict

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 30 May 2007 15:09:05 +0200
